SPI\_unregister\_relation

|      SPI\_unregister\_relation       |                        |                         |                  |                                           |
|:------------------------------------:|------------------------|-------------------------|------------------|-------------------------------------------|
|[Prev](spi-spi-register-relation.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-register-trigger-data.html)|

---

[]()[]()

## SPI\_unregister\_relation

SPI\_unregister\_relation — remove an ephemeral named relation from the registry

## Synopsis

```
int SPI_unregister_relation(const char * name)

```

## Description

`SPI_unregister_relation` removes an ephemeral named relation from the registry for the current connection.

## Arguments

`const char * *`name`*`

 the relation registry entry name

## Return Value

 If the execution of the command was successful then the following (nonnegative) value will be returned:

`SPI_OK_REL_UNREGISTER`

 if the tuplestore has been successfully removed from the registry

 On error, one of the following negative values is returned:

`SPI_ERROR_ARGUMENT`

 if *`name`* is `NULL`

`SPI_ERROR_UNCONNECTED`

 if called from an unconnected C function

`SPI_ERROR_REL_NOT_FOUND`

 if *`name`* is not found in the registry for the current connection

---

|[Prev](spi-spi-register-relation.html)|[Up](spi-interface.html)| [Next](spi-spi-register-trigger-data.html)|
|:-------------------------------------|:----------------------:|------------------------------------------:|
|       SPI\_register\_relation        |   [Home](index.html)   |        SPI\_register\_trigger\_data       |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>